import { AiModel, GetModelActualChurnCountDocument, GetModelThresholdGraphDocument, GetPredictedOutcomeCountDocument, GetShapValuesSortedAbsolutelyDocument, GetTopTenGlobalShapValuesDocument } from '../API';
import { CRUDService, ICrudService, ServiceQueryHookOptions } from '../core';
export declare class AIModelService extends CRUDService<AiModel> {
    protected hasOneModels: ICrudService<AiModel>['hasOneModels'];
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").AiModelGetQuery>, "query">) => Promise<{
        __typename: "AIModel";
        id: string;
        accuracy?: number;
        created_at: any;
        description?: string;
        lastRunDate?: any;
        modelType?: import("../API").AiModelType;
        name?: string;
        outcomeLabel?: string;
        precision?: number;
        propertyMapID?: string;
        recall?: number;
        updated_at: any;
        status?: import("../API").AiModelStatusType;
        usedForTrainingCount?: number;
        segmentID?: string;
        currentAccountsAnalyzed: number;
        totalAccountsAnalyzed: number;
    }>;
    get useGet(): (options: ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AiModelGetQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").AiModelGetQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").AiModelGetQuery;
        previousData?: import("../API").AiModelGetQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            id: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").AiModelGetQuery, TSubscriptionVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").AiModelGetQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").AiModelGetQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").AiModelGetQuery>, "variables">) => import("../API").AiModelGetQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AiModelGetQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").AiModelGetQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AiModelGetQuery>>;
        fetchMore: <TFetchData = import("../API").AiModelGetQuery, TFetchVars = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").AiModelGetQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").AiModelGetQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").AiModelFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AiModelListQuery, import("../API").Exact<{
        filter?: import("../API").AiModelFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
    }>>>) => Promise<{
        __typename?: "AIModelConnection";
        totalCount: number;
        edges: {
            __typename?: "AIModelEdge";
            cursor: any;
            node: {
                __typename: "AIModel";
                id: string;
                accuracy?: number;
                created_at: any;
                description?: string;
                lastRunDate?: any;
                modelType?: import("../API").AiModelType;
                name?: string;
                outcomeLabel?: string;
                precision?: number;
                propertyMapID?: string;
                recall?: number;
                updated_at: any;
                status?: import("../API").AiModelStatusType;
                usedForTrainingCount?: number;
                segmentID?: string;
                currentAccountsAnalyzed: number;
                totalAccountsAnalyzed: number;
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AiModelListQuery, import("../API").Exact<{
        filter?: import("../API").AiModelFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").AiModelListQuery, import("../API").Exact<{
            filter?: import("../API").AiModelFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
        }>>;
        data: import("../API").AiModelListQuery;
        previousData?: import("../API").AiModelListQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            filter?: import("../API").AiModelFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").AiModelListQuery, TSubscriptionVariables = import("../API").Exact<{
            filter?: import("../API").AiModelFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").AiModelListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            filter?: import("../API").AiModelFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
        }>>(mapFn: (previousQueryResult: import("../API").AiModelListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").AiModelListQuery>, "variables">) => import("../API").AiModelListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").AiModelFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AiModelListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").AiModelFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
        }>, import("../API").AiModelListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AiModelListQuery>>;
        fetchMore: <TFetchData = import("../API").AiModelListQuery, TFetchVars = import("../API").Exact<{
            filter?: import("../API").AiModelFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AiModelSort | import("../API").AiModelSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").AiModelListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").AiModelListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    useGetTopTenGlobalShapValues(options?: ServiceQueryHookOptions<typeof GetTopTenGlobalShapValuesDocument>): {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetTopTenGlobalShapValuesQuery, import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>;
        data: import("../API").GetTopTenGlobalShapValuesQuery;
        previousData?: import("../API").GetTopTenGlobalShapValuesQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetTopTenGlobalShapValuesQuery, TSubscriptionVariables = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetTopTenGlobalShapValuesQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(mapFn: (previousQueryResult: import("../API").GetTopTenGlobalShapValuesQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetTopTenGlobalShapValuesQuery>, "variables">) => import("../API").GetTopTenGlobalShapValuesQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetTopTenGlobalShapValuesQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>, import("../API").GetTopTenGlobalShapValuesQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetTopTenGlobalShapValuesQuery>>;
        fetchMore: <TFetchData = import("../API").GetTopTenGlobalShapValuesQuery, TFetchVars = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetTopTenGlobalShapValuesQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetTopTenGlobalShapValuesQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    useGetPredictedOutcomeCount(options: ServiceQueryHookOptions<typeof GetPredictedOutcomeCountDocument>): {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetPredictedOutcomeCountQuery, import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>;
        data: import("../API").GetPredictedOutcomeCountQuery;
        previousData?: import("../API").GetPredictedOutcomeCountQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetPredictedOutcomeCountQuery, TSubscriptionVariables = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetPredictedOutcomeCountQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(mapFn: (previousQueryResult: import("../API").GetPredictedOutcomeCountQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetPredictedOutcomeCountQuery>, "variables">) => import("../API").GetPredictedOutcomeCountQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetPredictedOutcomeCountQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>, import("../API").GetPredictedOutcomeCountQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetPredictedOutcomeCountQuery>>;
        fetchMore: <TFetchData = import("../API").GetPredictedOutcomeCountQuery, TFetchVars = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetPredictedOutcomeCountQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetPredictedOutcomeCountQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    useGetModelActualChurnCount(options: ServiceQueryHookOptions<typeof GetModelActualChurnCountDocument>): {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetModelActualChurnCountQuery, import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>;
        data: import("../API").GetModelActualChurnCountQuery;
        previousData?: import("../API").GetModelActualChurnCountQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetModelActualChurnCountQuery, TSubscriptionVariables = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetModelActualChurnCountQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(mapFn: (previousQueryResult: import("../API").GetModelActualChurnCountQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetModelActualChurnCountQuery>, "variables">) => import("../API").GetModelActualChurnCountQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetModelActualChurnCountQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>, import("../API").GetModelActualChurnCountQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetModelActualChurnCountQuery>>;
        fetchMore: <TFetchData = import("../API").GetModelActualChurnCountQuery, TFetchVars = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetModelActualChurnCountQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetModelActualChurnCountQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    useGetModelThresholdGraph(options: ServiceQueryHookOptions<typeof GetModelThresholdGraphDocument>): {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetModelThresholdGraphQuery, import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>;
        data: import("../API").GetModelThresholdGraphQuery;
        previousData?: import("../API").GetModelThresholdGraphQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetModelThresholdGraphQuery, TSubscriptionVariables = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetModelThresholdGraphQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(mapFn: (previousQueryResult: import("../API").GetModelThresholdGraphQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetModelThresholdGraphQuery>, "variables">) => import("../API").GetModelThresholdGraphQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetModelThresholdGraphQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>, import("../API").GetModelThresholdGraphQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetModelThresholdGraphQuery>>;
        fetchMore: <TFetchData = import("../API").GetModelThresholdGraphQuery, TFetchVars = import("../API").Exact<{
            organizationID: string;
            modelID: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetModelThresholdGraphQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetModelThresholdGraphQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    useGetShapValuesSortedAbsolutely(options: ServiceQueryHookOptions<typeof GetShapValuesSortedAbsolutelyDocument>): {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetShapValuesSortedAbsolutelyQuery, import("../API").Exact<{
            accountID?: string;
            organizationID: string;
            modelID: string;
            skip: number;
            take: number;
            sortDirection: import("../API").SortingDirectionType;
            type: import("../API").ShapValueType;
        }>>;
        data: import("../API").GetShapValuesSortedAbsolutelyQuery;
        previousData?: import("../API").GetShapValuesSortedAbsolutelyQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            accountID?: string;
            organizationID: string;
            modelID: string;
            skip: number;
            take: number;
            sortDirection: import("../API").SortingDirectionType;
            type: import("../API").ShapValueType;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetShapValuesSortedAbsolutelyQuery, TSubscriptionVariables = import("../API").Exact<{
            accountID?: string;
            organizationID: string;
            modelID: string;
            skip: number;
            take: number;
            sortDirection: import("../API").SortingDirectionType;
            type: import("../API").ShapValueType;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetShapValuesSortedAbsolutelyQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            accountID?: string;
            organizationID: string;
            modelID: string;
            skip: number;
            take: number;
            sortDirection: import("../API").SortingDirectionType;
            type: import("../API").ShapValueType;
        }>>(mapFn: (previousQueryResult: import("../API").GetShapValuesSortedAbsolutelyQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetShapValuesSortedAbsolutelyQuery>, "variables">) => import("../API").GetShapValuesSortedAbsolutelyQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            accountID?: string;
            organizationID: string;
            modelID: string;
            skip: number;
            take: number;
            sortDirection: import("../API").SortingDirectionType;
            type: import("../API").ShapValueType;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetShapValuesSortedAbsolutelyQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            accountID?: string;
            organizationID: string;
            modelID: string;
            skip: number;
            take: number;
            sortDirection: import("../API").SortingDirectionType;
            type: import("../API").ShapValueType;
        }>, import("../API").GetShapValuesSortedAbsolutelyQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetShapValuesSortedAbsolutelyQuery>>;
        fetchMore: <TFetchData = import("../API").GetShapValuesSortedAbsolutelyQuery, TFetchVars = import("../API").Exact<{
            accountID?: string;
            organizationID: string;
            modelID: string;
            skip: number;
            take: number;
            sortDirection: import("../API").SortingDirectionType;
            type: import("../API").ShapValueType;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetShapValuesSortedAbsolutelyQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetShapValuesSortedAbsolutelyQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
